# PHTTPConfigSectionList Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPConfigSectionList:

List of all members.

## Public Member Functions

| PHTTPConfigSectionList (const PURL &url, const PHTTPAuthority &auth, const PString &sectionPrefix, const PString &additionalValueName, const PURL &editSection, const PURL &newSection, const PString &newSectionTitle, PHTML &heading)
virtual void | OnLoadedText (PHTTPRequest &request, PString &text)
| This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.
virtual PBoolean | Post (PHTTPRequest &request, const PStringToString &data, PHTML &replyMessage)
| Get a block of data (eg HTML) that the resource contains.

## Protected Attributes

PString | sectionPrefix
PString | additionalValueName
PString | newSectionLink
PString | newSectionTitle
PString | editSectionLink

## Constructor & Destructor Documentation

PHTTPConfigSectionList::PHTTPConfigSectionList | ( | const PURL & | url,
|  | const PHTTPAuthority & | auth,
|  | const PString & | sectionPrefix,
|  | const PString & | additionalValueName,
|  | const PURL & | editSection,
|  | const PURL & | newSection,
|  | const PString & | newSectionTitle,
|  | PHTML & | heading |
| ) |  |  |

## Member Function Documentation

virtual void PHTTPConfigSectionList::OnLoadedText | ( | PHTTPRequest & | request,
|  | PString & | text |
| ) |  |  | `[virtual]`

This is called after the text has been loaded and may be used to customise or otherwise mangle a loaded piece of text.

Typically this is used with HTML responses.

The default action for this function is to do nothing.

Parameters:

  request | Information on this request.
  text | Data used in reply.

Reimplemented from PHTTPResource.

Reimplemented in PConfigSectionsPage.

virtual PBoolean PHTTPConfigSectionList::Post | ( | PHTTPRequest & | request,
|  | const PStringToString & | data,
|  | PHTML & | replyMessage |
| ) |  |  | `[virtual]`

Get a block of data (eg HTML) that the resource contains.

The default action for this function is to do nothing and return success.

Returns:
  true if the connection may persist, false if the connection must close

Parameters:

  request | Information on this request.
  data | Variables in the POST data.
  replyMessage | Reply message for post.

Reimplemented from PHTTPResource.

Reimplemented in PConfigSectionsPage.

## Member Data Documentation

PString PHTTPConfigSectionList::additionalValueName `[protected]`

PString PHTTPConfigSectionList::editSectionLink `[protected]`

PString PHTTPConfigSectionList::newSectionLink `[protected]`

PString PHTTPConfigSectionList::newSectionTitle `[protected]`

PString PHTTPConfigSectionList::sectionPrefix `[protected]`

The documentation for this class was generated from the following file:

- httpform.h